# Gimp.dodgeburn

    function dodgeburn(drawable: Gimp.Drawable, exposure: Number(gdouble), dodgeburn_type: Gimp.DodgeBurnType, dodgeburn_mode: Gimp.TransferMode, strokes: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_dodgeburn()
    }

Dodgeburn image with varying exposure.

Dodgeburn. More details here later.

drawable

  The affected drawable.

exposure

  The exposure of the strokes.

dodgeburn_type

  The type either dodge or burn.

dodgeburn_mode

  The mode.

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns

  TRUE on success.